#!/bin/sh
#
# $Id: test.sh 5791 2019-05-10 05:25:29Z max $ $Date: 2019-05-09 22:25:29 -0700 (Thu, 09 May 2019) $

if [ $# = 1 ]
then
    PYTHON="$1"
else
    PYTHON=python
fi

EMPY=em.py
SAMPLE=sample.em
BENCH=sample.bench

if $PYTHON -c 'import sys; print(sys.version)' > /dev/null
then
    :
else
    echo "EmPy was not checked; $PYTHON looks broken." 1>&2
    exit 2
fi

if $PYTHON $EMPY $SAMPLE | diff $BENCH -
then
    echo "EmPy checks out." 1>&2
else
    echo "EmPy does not check out!  Please mail output to author." 1>&2
    exit 1
fi
